Bug 1417484 - MATE Panel hangs
Summary: MATE Panel hangs
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 24
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 19:18 UTC by Sergei Shtylyov
Modified: 2017-08-08 19:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:36:44 UTC
Type: Bug


Attachments (Terms of Use)
dmesg (Linux 4.6.9-100) (77.27 KB, text/plain)
2017-02-05 16:52 UTC, Sergei Shtylyov
no flags Details
Xorg.0.log (42.25 KB, text/plain)
2017-02-05 17:50 UTC, Sergei Shtylyov
no flags Details

Description Sergei Shtylyov 2017-01-29 19:18:32 UTC
Description of problem:
After a graphical login (gdm?) X hangs with panel constantly redrawing the last screen row and the menu panel never appearing. The only way out is pressing the laptop power button but then the system complains about Panel not responding.

Version-Release number of selected component (if applicable):

How reproducible:
Always.

Steps to Reproduce:
Just boot the laptop into Linux 4.8.y/4.9.y kernel.

Actual results:
X hangs.

Expected results:
X should work.

Additional info:
If I boot using 3.11 rescue kernel, the panel hang doesn't happen (but that kernel doesn't support my Wi-Fi adapter).

Comment 1 Wolfgang Ulbrich 2017-01-31 09:55:34 UTC
I don't see that with a updated f24 VM, i am using a Mate developer version regular.
But i am using lightdm desktop-manager which is the default for Mate desktop.
Maybe a problem with using gdm from gnome?

Comment 2 Sergei Shtylyov 2017-01-31 10:56:42 UTC
(In reply to Wolfgang Ulbrich from comment #1)

> I don't see that with a updated f24 VM, i am using a Mate developer version
> regular.

I suspect the nVidia driver (nouveau?) has to do with this hang. My laptop has nVidao Quadro K1100M (and I had issues with the driver before).

> But i am using lightdm desktop-manager which is the default for Mate desktop.
> Maybe a problem with using gdm from gnome?

Then I probably use lightdm as well if that's the default.

Comment 3 Sergei Shtylyov 2017-01-31 10:59:03 UTC
(In reply to Sergei Shtylyov from comment #0)

> Additional info:
> If I boot using 3.11 rescue kernel, the panel hang doesn't happen (but that
> kernel doesn't support my Wi-Fi adapter).

Actually even with 3.11 kernel X hangs as well -- presumably when I boot after powering up my DSL router... Also, my audio doesn't work. :-(

Comment 4 Sergei Shtylyov 2017-01-31 11:08:56 UTC
(In reply to Sergei Shtylyov from comment #0)

> Steps to Reproduce:
> Just boot the laptop into Linux 4.8.y/4.9.y kernel.

Note that 4.8.y drivers are from FC23 and X worked correctly with this kernel there. 4.9.y kernel is from FC24...

Comment 5 Sergei Shtylyov 2017-01-31 11:12:41 UTC
(In reply to Sergei Shtylyov from comment #4)
> (In reply to Sergei Shtylyov from comment #0)
> 
> > Steps to Reproduce:
> > Just boot the laptop into Linux 4.8.y/4.9.y kernel.
> 
> Note that 4.8.y drivers

Kernels, not drivers, of course. :-)

Comment 6 Sergei Shtylyov 2017-02-05 16:52:58 UTC
Created attachment 1247824 [details]
dmesg (Linux 4.6.9-100)

Comment 7 Sergei Shtylyov 2017-02-05 17:50:18 UTC
Created attachment 1247847 [details]
Xorg.0.log

Comment 8 Sergei Shtylyov 2017-02-05 19:04:17 UTC
Booting with 'nouveau.modeset=0' fixes everything (although Intel driver controls the display)...

Comment 9 Wolfgang Ulbrich 2017-02-05 19:23:19 UTC
Someone told me nouveau driver is buggy nowadays, i prefer to run origin nvidia driver.
re-asign it o driver package.

Comment 10 Sergei Shtylyov 2017-02-06 16:22:56 UTC
(In reply to Sergei Shtylyov from comment #8)
> Booting with 'nouveau.modeset=0' fixes everything (although Intel driver
> controls the display)...

Well, it's more complex than that. I'm not sure yet what the conditions are (cold boot?) but the hang still happens even without nouveau...

Comment 11 Fedora End Of Life 2017-07-26 00:13:23 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2017-08-08 19:36:44 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.